	Assets = {}

	PrefabFiles = 
{
	"mushroom_light",
}

local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH

STRINGS.NAMES.MUSHROOM_LIGHT = "Mushlight"
STRINGS.RECIPE_DESC.MUSHROOM_LIGHT = "The perfect addition to any mush-Room."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_LIGHT =
{
    ON = "Science makes it light up.",
    OFF = "It's a big, science-y 'shroom.",
    BURNT = "Comboletely burnt.",
}

STRINGS.NAMES.MUSHROOM_LIGHT2 = "Glowcap"
STRINGS.RECIPE_DESC.MUSHROOM_LIGHT2 = "Inspired by the lava lamp sciences."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MUSHROOM_LIGHT2 =
{
    ON = "Blue is obviously the most scientific color.",
    OFF = "We could make a prime light source with some primary colors.",
    BURNT = "I didn't mildew it, I swear.",
}

	AddMinimapAtlas("minimap/mushroom_light.xml")

local function lamp_power(inst)
    inst:AddTag("lightbattery")
end
AddPrefabPostInit("lightbulb", lamp_power)

local function alt_lamp_power(inst)
    inst:AddTag("spore")
end
AddPrefabPostInit("red_cap", alt_lamp_power)
AddPrefabPostInit("green_cap", alt_lamp_power)
AddPrefabPostInit("blue_cap", alt_lamp_power)

local function AddModRecipe(name, ingredients, tab, techlevel, gametype, placer, min_spacing, nounlock, numtogive, aquatic, distance)
    if GLOBAL.CAPY_DLC and GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
    return GLOBAL.Recipe(name, ingredients, tab, techlevel, gametype, placer, min_spacing, nounlock, numtogive, aquatic, distance)
    else
    return GLOBAL.Recipe(name, ingredients, tab, techlevel, placer, min_spacing, nounlock, numtogive)
    end
end

local mushroom_light_recipe = AddModRecipe("mushroom_light",
{ 
    Ingredient("poop", 10),
    Ingredient("boards", 1),
},
    RECIPETABS.LIGHT, TECH.NONE, "common", "mushroom_light_placer", 1 )                     
    mushroom_light_recipe.atlas = "images/inventoryimages/mushroom_light.xml"
    mushroom_light_recipe.sortkey = -1

local mushroom_light2_recipe = AddModRecipe("mushroom_light2",
{ 
    Ingredient("poop", 15),
    Ingredient("boards", 2),
},
    RECIPETABS.LIGHT, TECH.NONE, "common", "mushroom_light2_placer", 1 )                     
    mushroom_light2_recipe.atlas = "images/inventoryimages/mushroom_light2.xml"
    mushroom_light2_recipe.sortkey = -2    